# Claim org domain

> Source: https://elaichi.ai/docs/api-reference/org-domains/org-domain/createorgdomain/

`POST /org-domain`

Resource: **Org Domain** · API: **Org domains**

## Request body

- **`domain`** _(string)_

## Response body

- **`id`** _(string)_
- **`organization_id`** _(string)_
- **`domain`** _(string)_
- **`verified`** _(boolean)_
- **`verification_record`** _(string)_
- **`default_role_id`** _(string,null)_
- **`sso_connection_id`** _(string,null)_
- **`detail`** _(string,null)_
- **`created_at`** _(string)_
- **`updated_at`** _(string)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/org-domain' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"domain":"your_domain"}'
```

### JavaScript

```javascript
const body = {
  "domain": "your_domain"
};

const response = await fetch('https://api.elaichi.ai/org-domain', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/org-domain"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "domain": "your_domain"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```
